Bug 167180 - Update port: www/py-selenium Upgrade to version 2.21.2
Summary: Update port: www/py-selenium Upgrade to version 2.21.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-21 22:40 UTC by Douglas Thrift
Modified: 2012-04-22 19:40 UTC (History)
0 users

See Also:


Attachments
py-selenium.2012-04-21T211911Z.diff (1.08 KB, patch)
2012-04-21 22:40 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2012-04-21 22:40:09 UTC
Upgraded www/py-selenium to version 2.21.2. Changed USE_FIREFOX for the
WITH_FIRFOX option to 36+ to allow different versions of Firefox.

https://redports.org/buildarchive/20120421205455-10253/

From CHANGES:

Selenium 2.21.2
* Fix typing to file input when not using Selenium Server. Bug 3736

Selenium 2.21.1
* focusmanager.testmode messes with native events, removing it.

Selenium 2.21
* Local File upload capabilities for non-remote browser 
* Adding maximize_window api call
* Updating default firefox profile to set focusmanager.testmode to true
    see https://bugzilla.mozilla.org/show_bug.cgi?id=704583
* bugs fixed: 3506, 3528, 3607
Comment 1 Edwin Groothuis freebsd_committer 2012-04-21 22:40:31 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-04-21 22:40:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2012-04-21 22:40:38 UTC
Maintainer of www/py-selenium,

Please note that PR ports/167180 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167180

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2012-04-21 22:40:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Douglas Thrift 2012-04-21 22:43:41 UTC
Seems like the auto assign thingy is broken.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>

On 4/21/2012 2:40 PM, Edwin Groothuis wrote:
> Maintainer of www/py-selenium,
> 
> Please note that PR ports/167180 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167180
>
Comment 6 Jason Helfman freebsd_committer 2012-04-21 22:59:26 UTC
Responsible Changed
From-To: freebsd-python->jgh

I'll take it.
Comment 7 Jason Helfman freebsd_committer 2012-04-21 22:59:57 UTC
State Changed
From-To: feedback->open

fix assignments 


Comment 8 Jason Helfman freebsd_committer 2012-04-21 22:59:57 UTC
Class Changed
From-To: change-request->maintainer-update

fix.
Comment 9 dfilter service freebsd_committer 2012-04-22 19:35:27 UTC
jgh         2012-04-22 18:35:19 UTC

  FreeBSD ports repository

  Modified files:
    www/py-selenium      Makefile distinfo 
  Log:
  - Update to 2.21.2
  
  PR:     ports/167180
  Submitted by:   maintainer, douglas@douglasthrift.net
  
  Revision  Changes    Path
  1.8       +2 -2      ports/www/py-selenium/Makefile
  1.7       +2 -2      ports/www/py-selenium/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Jason Helfman freebsd_committer 2012-04-22 19:36:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!